Deploy the PageViewInfo extension to production
Closed, ResolvedPublic

Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptFeb 4 2016, 11:46 PM
kaldari added a subscriber: kaldari.Feb 8 2016, 6:54 PM
greg added a subscriber: greg.Mar 11 2016, 12:55 AM

Who wants to own deploying the extension? :) I prefer the people who'll own it to do it but we'll (RelEng) do it if that's not possible, of course.

Me probably.

Actually if @Addshore is going to become a SWAT deployer, he could own deploying this and I'll just assist :)

Zppix moved this task from Unsorted to Working on on the Editing-Department board.Apr 26 2016, 2:30 PM
Legoktm changed the task status from "Open" to "Stalled".Oct 19 2016, 6:50 AM

Why is this stalled?

Why is this stalled?

Lack of time on my part to push this, as well as issues deploying to beta cluster (no pageview API in beta): T129602: Deploy WikimediaPageViewInfo extension to beta cluster.

Tgr changed the title from "Deploy the WikimediaPageViewInfo extension to production" to "Deploy the PageViewInfo extension to production".Dec 7 2016, 9:13 AM
Tgr added a subscriber: Tgr.Dec 7 2016, 9:16 AM

This is not particularly urgent and we try to minimize changes during the fundraiser / holidays / conference combo. I'll do the deployment some time mid-January.

Tgr changed the task status from "Stalled" to "Open".Feb 20 2017, 12:03 AM
Tgr added a subscriber: Nuria.

@Jdforrester-WMF @Legoktm @greg @Nuria barring objections I'd like to deploy this in about two week's time. (The extension has been on beta for a while but a set of patches that substantially rewrites it has just been merged.)

Both the graph shown on the info action and the new API endpoints use ObjectCache, so I guess deploy plan is to follow the train, and watch fatalmonitor and the pageview API and memcached health graphs.

Links: fatalmonitor, pageviews API load, memcached load, memcached errors, PageViewInfo logs.
Cache key format: <wiki>:pvi::[30|]:[view|unique]:[article|top|site][:<md5(title)>].

Tgr added a comment.Feb 20 2017, 12:04 AM

Two weeks from now is EMWCon so let's make it three.

I tried checking this out on Beta Cluster, but it doesn't seem to be working. In the page information, every page says:

Page views in the past 30 days	0

And if you try to click on the zero link, it does nothing. Even the Main Pages say 0 page views.

Tgr added a comment.Feb 21 2017, 8:14 PM

@kaldari clicks not working will be fixed by https://gerrit.wikimedia.org/r/#/c/338702/. I'll look into why fetching the data fails.

Change 342694 merged by jenkins-bot:
[mediawiki/tools/release] Add PageViewInfo to make-wmf-branch/config.json

https://gerrit.wikimedia.org/r/342694

Tgr added a comment.EditedMar 14 2017, 9:53 PM

Deploy steps for group0:

Change 342745 merged by Gergő Tisza:
[mediawiki/core] Add PageViewInfo submodule

https://gerrit.wikimedia.org/r/342745

Change 342747 merged by Gergő Tisza:
[mediawiki/core] Add PageViewInfo submodule

https://gerrit.wikimedia.org/r/342747

Change 342683 merged by Gergő Tisza:
[operations/mediawiki-config] Deploy PageViewInfo to testwiki

https://gerrit.wikimedia.org/r/342683

Mentioned in SAL (#wikimedia-operations) [2017-03-14T22:42:24Z] <tgr@tin> Started scap: T125917: Deploy PageViewInfo to testwiki

Mentioned in SAL (#wikimedia-operations) [2017-03-14T23:31:23Z] <tgr@tin> Finished scap: T125917: Deploy PageViewInfo to testwiki (duration: 48m 58s)

Mentioned in SAL (#wikimedia-operations) [2017-03-14T23:31:23Z] <tgr@tin> Finished scap: T125917: Deploy PageViewInfo to testwiki (duration: 48m 58s)

"PageViewInfo" is now listed at https://test.wikipedia.org/wiki/Special:Version. But when I visit a page such as https://test.wikipedia.org/w/index.php?title=Main_Page&action=info, I don't see a graph.

Addshore removed a subscriber: Addshore.Mar 15 2017, 7:45 AM

Change 342728 merged by jenkins-bot:
[operations/mediawiki-config] Deploy PageViewInfo to group0

https://gerrit.wikimedia.org/r/342728

Mentioned in SAL (#wikimedia-operations) [2017-03-15T18:21:36Z] <legoktm@tin> Synchronized wmf-config/InitialiseSettings.php: Deploy PageViewInfo to group0 - T125917 (duration: 00m 42s)

Elitre added a subscriber: Elitre.Mar 15 2017, 6:29 PM

Change 342684 merged by jenkins-bot:
[operations/mediawiki-config] Deploy PageViewInfo to group1

https://gerrit.wikimedia.org/r/342684

Mentioned in SAL (#wikimedia-operations) [2017-03-15T23:12:00Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:342684|Deploy PageViewInfo to group1]] T125917 (duration: 00m 43s)

User notice: monthly page views will be available (once the train is over) by clicking the "Page information" link in the sidebar.
Developer notice: also from the API (siteviews, mostviewed, pageviews API modules)

Johan added a subscriber: Johan.Mar 16 2017, 12:03 AM

@Tgr Just making very clear, this will be on all Wikimedia wikis once the train is over?

Tgr added a comment.Mar 16 2017, 12:15 AM

@Tgr Just making very clear, this will be on all Wikimedia wikis once the train is over?

Yes. Technically not connected to the train, but uses the same schedule (it's on group0 & group1 now, will go out to Wikipedias tomorrow).

\o/ thank you for pushing this forwards @Tgr!

Thanks indeed.

Tgr added a comment.Mar 16 2017, 11:15 PM

That's unrelated, the PageViewInfo graph is the one that opens when you click on the pageview count. (Which probably should not be 0, but that's a problem with the Pageviews API, not the extension.)

Change 342685 merged by jenkins-bot:
[operations/mediawiki-config] Deploy PageViewInfo to group2

https://gerrit.wikimedia.org/r/342685

Mentioned in SAL (#wikimedia-operations) [2017-03-16T23:25:14Z] <reedy@tin> Synchronized wmf-config/InitialiseSettings.php: Enable PageViewInfo to group2 T125917 (duration: 00m 49s)

Tgr added a comment.Mar 16 2017, 11:34 PM

@TheDJ that's from a <graph> tag on MediaWiki:Pageinfo-footer apparently-

Tgr closed this task as "Resolved".Mar 20 2017, 9:27 PM

The extension has been on all wikis for the weekend, with no errors (other than a few Pageviews API timeouts) and no obvious change to Pageviews API or memcached load, so I'll call this a success.